var gitCodeFormMask;
gitCodeFormMask = mui.createMask(function() {
    mui('#gitCodeForm')[0].style.display = "none";
});

var userCodePanelMask;
userCodePanelMask = mui.createMask(function() {
    mui('#userCodePanel')[0].style.display = "none";
});

mui.init({});
mui.plusReady(function() {

    mui('#userNav').on('tap', '#goMyMoney', function() {
        goMyMoneyPage();
    })

    mui('#userNav').on('tap', '#goSetting', function() {
        goSettingPage();
    })

    mui('#userNav').on('tap', '#goGif', function(e) {
        showGitCodeForm();
    })

    mui('#gitCodeForm').on('tap', '.closed', function(e) {
        hideGitCodeForm();
    })

    mui('#userHead').on('tap', '#abtnGetUserCode', function(e) {
        showUserCodePanel();
    })

    mui('#userCodePanel').on('tap', '.closed', function(e) {
        hideUserCodePanel();
    })
});

function showGitCodeForm() {
    gitCodeFormMask.show(); //显示遮罩
    mui('#gitCodeForm')[0].style.display = "block";
}

function hideGitCodeForm() {
    gitCodeFormMask.close();
    mui('#gitCodeForm')[0].style.display = "none";
}

function showUserCodePanel() {
    userCodePanelMask.show(); //显示遮罩
    mui('#userCodePanel')[0].style.display = "block";
}

function hideUserCodePanel() {
    userCodePanelMask.close();
    mui('#userCodePanel')[0].style.display = "none";
}

function goMyMoneyPage() {
    mui.openWindow({
        url: '/html/myMoney.html',
        id: '/html/myMoney.html',
        styles: {
            titleNView: {
                titleText: "我的资产",
                titleColor: "#000000",
                titleSize: "17px",
                backgroundColor: "#ffffff",
                splitLine: {
                    color: "#f7f8fc",
                    height: "1px"
                },
                autoBackButton: true,
            }
        }
    });
}

function goSettingPage() {
    mui.openWindow({
        url: '/html/setting.html',
        id: '/html/setting.html',
        styles: {
            titleNView: {
                titleText: "设置",
                titleColor: "#000000",
                titleSize: "17px",
                backgroundColor: "#ffffff",
                splitLine: {
                    color: "#f7f8fc",
                    height: "1px"
                },
                autoBackButton: true,
            }
        }
    });
}