//mui初始化
mui.init();
var subpages = [
    'html/login.html'
];
var subpage_style = {
    top: '0px',
    bottom: '51px'
};

var hasAdd = {};
//当前激活选项
var activeTab;

var checkUpdateTimer;




//创建子页面，首个选项卡页面显示，其它均隐藏；

mui.plusReady(function() {
    //判断是否本地存有ownerKey，没有就创建一个并保存
    var ownerKey = plus.storage.getItem('ownerKey');
    if(ownerKey == null){
        ownerKey = CryptoJS.MD5(plus.device.uuid+'-'+(new Date()).getTime());
        plus.storage.setItem('ownerKey',ownerKey+'');
        //mui.alert(plus.storage.getItem('ownerKey')+'set', '提示', function() {});
    }



    plus.screen.lockOrientation("portrait-primary");
    plus.storage.setItem('runing','true');
    document.addEventListener("pause", function () {
        plus.storage.setItem('runing','false');
        console.log("应用从前台切换到后台");
        //mui.toast('程序在后台运行');
    }, false);
    document.addEventListener("resume", function () {
        plus.storage.setItem('runing','true');
        console.log("应用从后台切换到前台");
        //mui.toast('程序在前台运行');
    }, false)

    //检查更新 1小时一次
    checkUpdate({
        callback: function() {
            var userLastData = plus.storage.getItem('userLastData');
            //var test = plus.storage.getItem('userLastData');
            if (userLastData) {
                subpages = [
                    'html/main.html',
                    'html/getdiamondrod.html',
                    'html/sell.html',
                    'html/user.html',
                ]

                userLastData = JSON.parse(userLastData);
                //console.log('userInfo:'+JSON.stringify(userLastData['userInfo']))
                //console.log('account:'+JSON.stringify(userLastData['account']))
                //console.log('player:'+JSON.stringify(userLastData['player']))
                //console.log('friends:'+JSON.stringify(userLastData['friends']))
                //console.log('serverTime:'+JSON.stringify(userLastData['serverTime']))
                //console.log(JSON.stringify(userLastData['playerOutputs']))

                
                //test = JSON.parse(test);
                //test['playerOutputs'] = [];
                //copyShareUrl(JSON.stringify(test));
            }

            //清除人机验证
            plus.storage.removeItem('humChecking');

            //初始化页面
            var self = plus.webview.currentWebview();
            if (subpages.length == 1) {
                var sub = plus.webview.create(subpages[0], subpages[0], {
                    top: '0px',
                    bottom: '0px'
                });
            } else {
                var sub = plus.webview.create(subpages[0], subpages[0], subpage_style);
            }
            sub.hide();
            plus.nativeUI.showWaiting('数据加载中...');
            self.append(sub);
            hasAdd[subpages[0]] = true;
            activeTab = subpages[0];

            //选项卡点击事件
            mui('.mui-bar-tab').on('tap', 'a', function(e) {
                targetTab = this.getAttribute('href');
                if (targetTab == activeTab) {
                    return;
                }
                if (!hasAdd[targetTab]) {
                    var buildOp = {
                        url: targetTab,
                        id:targetTab,
                        style: subpage_style,
                        showLoading: true
                    }
                    if(targetTab.indexOf('adpage') != -1){
                        buildOp.showLoading = false;
                        buildOp.url =  uzhuanqianUrl+"&d="+plus.device.imei.split(',')[0]+'&uid='+userLastData['account']['accountId'];
                    }

                    if (targetTab.indexOf('https://') != -1) {
                        buildOp.showLoading = false;
                    }
                    buildView(buildOp);
                }

                mui.fire(plus.webview.getWebviewById(targetTab), 'reLoadData');

                //隐藏当前;
                plus.webview.hide(activeTab);

                plus.webview.show(targetTab, "fade-in", 200);
                //更改当前活跃的选项卡
                activeTab = targetTab;

                if (targetTab.indexOf('http://') != -1) {
                    plus.webview.getWebviewById(targetTab).reload(true)
                }
            });
        }
    });
    clearInterval(checkUpdateTimer);
    checkUpdateTimer = setInterval(function() {
        checkUpdate();
    }, 360000)
});



function buildView(op) {
    var self = plus.webview.currentWebview();
    var sub = plus.webview.create(op.url, op.id, op.style);
    sub.hide();
    if (op.showLoading) {
        plus.nativeUI.showWaiting('数据加载中...');
    }
    self.append(sub);
    hasAdd[op.id] = true;
}


//自定义事件，模拟点击“首页选项卡”
document.addEventListener('gohome', function() {
    var defaultTab = document.getElementById("defaultTab");
    //模拟首页点击
    mui.trigger(defaultTab, 'tap');
    //切换选项卡高亮
    var current = document.querySelector(".mui-bar-tab>.mui-tab-item.mui-active");
    if (defaultTab !== current) {
        current.classList.remove('mui-active');
        defaultTab.classList.add('mui-active');
    }
});

//自定义事件，
document.addEventListener('sell', function() {
    var sellTab = document.getElementById("sellTab");
    //模拟首页点击
    mui.trigger(sellTab, 'tap');
    //切换选项卡高亮
    var current = document.querySelector(".mui-bar-tab>.mui-tab-item.mui-active");
    if (sellTab !== current) {
        current.classList.remove('mui-active');
        sellTab.classList.add('mui-active');
    }
});

//自定义事件
document.addEventListener('getdiamondrod', function() {
    var getdiamondrodTab = document.getElementById("getdiamondrodTab");
    //模拟首页点击
    mui.trigger(getdiamondrodTab, 'tap');
    //切换选项卡高亮
    var current = document.querySelector(".mui-bar-tab>.mui-tab-item.mui-active");
    if (userTab !== current) {
        current.classList.remove('mui-active');
        getdiamondrodTab.classList.add('mui-active');
    }
});

//自定义事件
document.addEventListener('user', function() {
    var userTab = document.getElementById("userTab");
    //模拟首页点击
    mui.trigger(userTab, 'tap');
    //切换选项卡高亮
    var current = document.querySelector(".mui-bar-tab>.mui-tab-item.mui-active");
    if (userTab !== current) {
        current.classList.remove('mui-active');
        userTab.classList.add('mui-active');
    }
});