mui.init({
    gestureConfig:{
       tap: true, //默认为true
       doubletap: true, //默认为false
       longtap: true, //默认为false
       swipe: true, //默认为true
       drag: true, //默认为true
       hold:false,//默认为false，不监听
       release:false//默认为false，不监听
      }
});
var userLastData;
var app;
var shares = null;
var sweixin = null;
var buttons = [{
    title: '发送给微信好友',
    extra: {
        scene: 'WXSceneSession'
    }
}, {
    title: '分享到微信朋友圈',
    extra: {
        scene: 'WXSceneTimeline'
    }
}];
function randomNum(minNum,maxNum){ 
    switch(arguments.length){ 
        case 1: 
            return parseInt(Math.random()*minNum+1,10); 
        break; 
        case 2: 
            return parseInt(Math.random()*(maxNum-minNum+1)+minNum,10); 
        break; 
            default: 
                return 0; 
            break; 
    } 
} 
mui.plusReady(function() {
    updateSerivces();
    userLastData = JSON.parse(plus.storage.getItem('userLastData'));
    app = new Vue({
        el: '#appWrap',
        data: {
            userInfo: userLastData['userInfo'],
            account: userLastData['account'],
            player: userLastData['player']
        },
        computed: {
            getInviteBoxStyle:function(){
                var rand = 'invite-box-'+randomNum(1,3);
                return ['invite-box',rand]
            }
        },
        methods: {}
    })
    mui('#appWrap').on('tap', '#btnCopyInviteCode', function(e) {
        copyShareUrl('钻石星球，都是钻石、氪金！下载地址：'+channelDownLoadLink+' 。我的邀请码：' + userLastData['account']['inviteCode'].toUpperCase())
    })
    mui('#appWrap').on('tap', '.btn-share-weixin', function(e) {
        sweixin ? plus.nativeUI.actionSheet({
            title: '邀请好友获得更多能量石',
            cancel: '取消',
            buttons: buttons
        }, function(e) {
            if (e.index > 0) {
                if (e.index == 1) {
                    shareText();
                }
                if (e.index == 2) {
                    shareImages();
                }
            }
        }) : plus.nativeUI.alert('当前环境不支持微信分享操作!');
    })
    
    mui('#appWrap').on('longtap', '.invite-box', function(e) {
        sweixin ? plus.nativeUI.actionSheet({
            title: '邀请好友获得更多能量石',
            cancel: '取消',
            buttons: buttons
        }, function(e) {
            if (e.index > 0) {
                if (e.index == 1) {
                    shareText();
                }
                if (e.index == 2) {
                    shareImages();
                }
            }
        }) : plus.nativeUI.alert('当前环境不支持微信分享操作!');
    })

    setTimeout(function() {
        //关闭等待框
        plus.nativeUI.closeWaiting();
        //显示当前页面
        plus.webview.show(mui.currentWebview, "slide-in-right", 200);
    }, 300)
});
/**
 * 更新分享服务
 */
function updateSerivces() {
    plus.share.getServices(function(s) {
        shares = {};
        for (var i in s) {
            var t = s[i];
            shares[t.id] = t;
        }
        sweixin = shares['weixin'];
    }, function(e) {

    });
}
// 分享文本 
function shareText() {
    copyShareUrl('钻石星球，都是钻石、氪金！下载地址：'+channelDownLoadLink+' 。我的邀请码：' + userLastData['account']['inviteCode'].toUpperCase())
    //document.getElementById('btnCopyInviteCode').style.display = 'none';
    mui('.btn-share-weixin')[0].style.display = 'none';
    html2canvas(document.querySelector("body")).then(function(canvas) {
        var dataUrl = canvas.toDataURL('image/jpeg');
        var b = new plus.nativeObj.Bitmap();
        b.loadBase64Data(dataUrl, function() {
            //console.log("创建分享图片成功");
            mui('.btn-share-weixin')[0].style.display = 'inline-block';
        }, function() {
            //console.log("创建分享图片失败");
            mui('.btn-share-weixin')[0].style.display = 'inline-block';
        });
        b.save('_documents/inviteCodePic.jpg', { overwrite: true }, function() {
            //console.log("保存分享图片成功");

            var msg = {
                type: "image",
                title: "快和我一起来钻石星球，都是钻石、氪金！",
                extra: "WXSceneTimeline",
                href: channelDownLoadLink,
                content: '我是' + userLastData.account.nickName + '，快和我一起来钻石星球，都是钻石、氪金！下载地址：'+channelDownLoadLink+' 。我的邀请码：' + userLastData['account']['inviteCode'].toUpperCase(),
                pictures: ['_documents/inviteCodePic.jpg'],
                thumbs: ['_documents/inviteCodePic.jpg']
            };

            share(sweixin, msg, buttons[0]);

        }, function() {
            //console.log("保存分享图片失败");
        });

    });
}

// 分享图片 
function shareImages() {
    copyShareUrl('钻石星球，都是钻石、氪金！下载地址：'+channelDownLoadLink+' 。我的邀请码：' + userLastData['account']['inviteCode'].toUpperCase());
    mui('.btn-share-weixin')[0].style.display = 'none';
    plus.nativeUI.showWaiting();
    html2canvas(document.querySelector("body")).then(function(canvas) {
        var dataUrl = canvas.toDataURL('image/jpeg');
        var b = new plus.nativeObj.Bitmap();
        b.loadBase64Data(dataUrl, function() {
            //console.log("创建分享图片成功");
            mui('.btn-share-weixin')[0].style.display = 'inline-block';
        }, function() {
            //console.log("创建分享图片失败");
            mui('.btn-share-weixin')[0].style.display = 'inline-block';
        });
        b.save('_documents/inviteCodePic.jpg', { overwrite: true }, function() {
            console.log("保存分享图片成功");

            var msg = {
                type: "image",
                title: "快和我一起来钻石星球，都是钻石、氪金！",
                extra: "WXSceneTimeline",
                href: channelDownLoadLink,
                content: '我是' + userLastData.account.nickName + '，快和我一起来钻石星球，都是钻石、氪金！下载地址：'+channelDownLoadLink+' 。我的邀请码：' + userLastData['account']['inviteCode'].toUpperCase(),
                pictures: ['_documents/inviteCodePic.jpg'],
                thumbs: ['_www/images/icon.png']
            };

            share(sweixin, msg, buttons[1]);



        }, function() {
            //console.log("保存分享图片失败");

        });

    });
}



// 分享
function share(srv, msg, button) {
    if (!srv) {
        return;
    }
    button && (msg.extra = button.extra);
    // 发送分享
    if (srv.authenticated) {
        doShare(srv, msg);
    } else {
        srv.authorize(function() {
            doShare(srv, msg);
        }, function(e) {});
    }
}
// 发送分享
function doShare(srv, msg) {
    srv.send(msg, function() {
        shareWeChat();
        mui('.btn-share-weixin')[0].style.display = 'inline-block';
        plus.nativeUI.closeWaiting();
    }, function(e) {
        mui('.btn-share-weixin')[0].style.display = 'inline-block';
        plus.nativeUI.closeWaiting();
        mui.alert('分享失败', '提示', function() {});
    });
}


function shareWeChat() {
    console.log('shareWeChat');
    mui.ajax(apiServerUrl + '/idleserver/idleApi/shareWeChat.idle', {
        data: {
            accountId: userLastData['userInfo']['accountId'],
            authKey: userLastData['userInfo']['authKey'],
            versionIndex: versionIndex
        },
        dataType: 'json',
        type: 'POST',
        timeout: 10000,
        headers: {
            'content-type': 'application/x-www-form-urlencoded'
        },
        success: function(data) {
            //console.log(JSON.stringify(data))
            if (data['success']) {
                mui.fire(plus.webview.getWebviewById('/html/getdiamondrod.html'),'reLoadData');
            } else {
                ajaxErrorParse(data);
            }
        },
        error: function(xhr, type, errorThrown) {
            ajaxErrorTip(xhr, type, errorThrown);
        }
    });
}