mui.init();

var userInfo;
var hasSendCode = false;
var sendCodeTimer;
var codeTime = 120;

var auths = {};
var main;
var appInterface;
var serverRequest;

//Sentry.init({ dsn: 'https://756e543177dd4634bcacd017ca3bb8fa@sentry.io/1394815' });
//Sentry.captureMessage('debug login page');

mui.plusReady(function() {
    if(mui.os.ios){
    }
    if(mui.os.android){
        main = plus.android.runtimeMainActivity();
        try {
            appInterface = plus.android.newObject("com.wangwangzhuan.diamond.ad.util.ADManager");
            serverRequest = plus.android.newObject("com.wangwangzhuan.diamond.server.ServerRequest");

        } catch (err) {}
    }


    //关闭等待框
    plus.nativeUI.closeWaiting();
    //显示当前页面
    plus.webview.show(mui.currentWebview, 'fade-in', 600);
});



function getVerifyCode() {
    if (phoneNum.value.length == 0) {
        mui.alert('请输入手机号码', '提示', function() {});
        return false;
    }
    if (hasSendCode) {
        return false;
    }
    if(mui.os.ios){
    }
    if(mui.os.android){
        var ownerKey = plus.storage.getItem('ownerKey');
        //todo S debug
//        var debugInfo = {
//            mod:'login',
//            api:'checkLogin',
//            value:{
//                'phoneNum':phoneNum.value,
//                'ownerKey':ownerKey
//            }
//        }
//
//        Sentry.captureMessage(JSON.stringify(debugInfo));
        //todo E debug
        var getVerifyCodeData = plus.android.invoke(serverRequest, "checkLogin", main, phoneNum.value, ownerKey);

        getVerifyCodeData = JSON.parse(getVerifyCodeData);
        if (getVerifyCodeData['success']) {
            userInfo = getVerifyCodeData;
            plus.nativeUI.toast('验证码已发送');
        } else {
            mui.alert(data['errorInfo'], '错误提示', function() {});
            return false;
        }
        hasSendCode = true;
        codeTime = 120;
        sendCodeTimer = setInterval(function() {
            document.getElementById('btnGetCode').innerText = codeTime + '秒后重发';
            codeTime--;
            if (codeTime < 0) {
                clearInterval(sendCodeTimer);
                hasSendCode = false;
                document.getElementById('btnGetCode').innerText = '发送验证码';
            }
        }, 1000)
        document.getElementById('verifyCode').focus()
    }

}

function checkForm() {
    var error = [];
    if (phoneNum.value.length == 0) {
        error.push('请输入手机号码！');
    }

    if (verifyCode.value.length == 0) {
        error.push('请输入短信验证码！');
    }
    return error;
}

function login() {
    var checkResult = checkForm();
    if (checkResult.length > 0) {
        mui.alert(checkResult.join('\n'), '提示', function() {});
        return false;
    }

    if (!userInfo) {
        mui.alert('请先获取验证码', '提示', function() {});
        return false;
    }

    plus.nativeUI.showWaiting("正在开启...");

    var requestData = {
        accountId: userInfo['result']['accountId'],
        authKey: userInfo['result']['authKey'],
        verifyCode: verifyCode.value,
        versionIndex: versionIndex
    };


    mui.ajax(apiServerUrl + '/idleserver/idleApi/phoneLoginVerify.idle', {
        data: requestData,
        dataType: 'json',
        type: 'POST',
        timeout: 10000,
        headers: { 'content-type': 'application/x-www-form-urlencoded' },
        success: function(data) {
            //console.log(JSON.stringify(data));
            if (data['success']) {
                userInfo['result']['verifyState'] = true;
                var userLastData = data['result'];
                userLastData['userInfo'] = userInfo['result'];
                plus.storage.setItem('userLastData', JSON.stringify(userLastData));

                mui.later(function() {
                    plus.runtime.restart();
                }, 1000)
            } else {
                mui.alert(data['errorInfo'], '错误提示', function() {
                    plus.nativeUI.closeWaiting();
                });
            }
        },
        error: function(xhr, type, errorThrown) {
            plus.nativeUI.closeWaiting();
            ajaxErrorTip(xhr, type, errorThrown);
        }
    });
}