// var gitCodeFormMask;
// gitCodeFormMask = mui.createMask(function(){
//     mui('#gitCodeForm')[0].style.display = "none";
// });
// 
// var userCodePanelMask;
// userCodePanelMask = mui.createMask(function(){
//     mui('#userCodePanel')[0].style.display = "none";
// });

var serviceMask;
serviceMask = mui.createMask(function() {
    mui('#service')[0].style.display = "none";
});


var setUserFaceFormMask;
setUserFaceFormMask = mui.createMask(function() {
    mui('#setUserFaceForm')[0].style.display = "none";
});

var inited = false;
document.addEventListener('reLoadData', function() {
    console.log('user_on_fire_reloadData');
    if (inited) {
        userLastData = JSON.parse(plus.storage.getItem('userLastData'));
    }
});


var userLastData;
var app;
mui.init({});

mui.plusReady(function() {
    inited = true;
    userLastData = JSON.parse(plus.storage.getItem('userLastData'));
    app = new Vue({
        el: '#appWrap',
        data: {
            userInfo: userLastData['userInfo'],
            account: userLastData['account'],
            player: userLastData['player'],
            version: '1.0.0'
        },
        computed: {
            userFaceImage:function(){
                if(this.account['headImg']){
                    return '../images/icon-diamond'+this.account['headImg']+'.png';
                }else {
                    return '../images/icon-diamond1.png';
                }
            }
        },
        methods: {
            
        }

    })

    //     mui('#userNav').on('tap', '#goMyMoney', function() {
    //      goMyMoneyPage();
    //     })

    mui('#userNav').on('tap', '#goGetDiamondrod', function() {
        goGetDiamondrodPage();
    })

    //     mui('#userNav').on('tap', '#goSetting', function() {
    //      goSettingPage();
    //     })
    //     
    //     mui('#userNav').on('tap', '#goGif', function(e) {
    //      showGitCodeForm();
    //     })
    //     
    //     mui('#gitCodeForm').on('tap', '.closed', function(e) {
    //      hideGitCodeForm();
    //     })
    //     
    //     mui('#userHead').on('tap', '#abtnGetUserCode', function(e) {
    //      showUserCodePanel();
    //     })
    //     
    //     mui('#userCodePanel').on('tap', '.closed', function(e) {
    //      hideUserCodePanel();
    //     })

    mui('#userNav').on('tap', '#showContact', function(e) {
        showService();
    })

    mui('#service').on('tap', '.closed', function(e) {
        hideService();
    })
    
    mui('#userNav').on('tap', '#showSetUserFaceForm', function(e) {
        showSetUserFaceForm();
    })
    
    mui('#setUserFaceForm').on('tap', '.closed', function(e) {
        hideSetUserFaceForm();
    })
    
    mui('#setUserFaceForm').on('tap','.faceimage',function(e){
        document.getElementById('nicknameInput').blur();
        mui.each(mui('#setUserFaceForm .faceimage'),function(index,item){
            item.className = 'faceimage';
        })
        this.className = 'faceimage selected';
        
    })
    
    mui('#setUserFaceForm').on('tap', '#btnSetUserFace', function(e) {
        
        var faceId = mui('#setUserFaceForm .selected')[0].getAttribute('d');
        var nickName = document.getElementById('nicknameInput').value;
        if (nickName.length == 0) {
            mui.alert('请输入昵称', '错误提示', function() {});
            return false;
        }
        setUserFaceNickName({
            headImg:faceId,
            nickName : nickName
        })
    })
    

    mui('#userNav').on('tap', '#btnLogout', function(e) {
        //plus.storage.clear();
        plus.storage.removeItem('userLastData');
        plus.storage.removeItem('runing');
        mui.later(function() {
            plus.runtime.restart();
        }, 500)
    })
    
    mui('#userNav').on('tap', '.version', function(e) {
        checkUpdate();
    })

    mui('#service').on('tap', '#btnSaveServiceCode', function(e) {
        plus.nativeUI.showWaiting('正在保存...');
        html2canvas(document.querySelector("#service")).then(function(canvas){
            var dataUrl = canvas.toDataURL('image/jpeg');
            var b = new plus.nativeObj.Bitmap();
            b.loadBase64Data(dataUrl, function() {
                console.log("创建图片成功");
            }, function() {
                console.log("创建图片失败");
            });
            b.save('_documents/inviteCodePic.jpg', { overwrite: true }, function() {
                plus.gallery.save('_documents/inviteCodePic.jpg', function() {
                    plus.nativeUI.closeWaiting();
                    mui.alert('成功保存二维码图片到相册！', '提示', function() {});
                });
        
            }, function() {
                console.log("保存图片失败");
                plus.nativeUI.closeWaiting();
            });
        
        });

    })

    plus.runtime.getProperty(plus.runtime.appid, function(inf) {
        // 当前版本
        app.version = inf.version;
    });

    //setTimeout(function(){
    //关闭等待框
    plus.nativeUI.closeWaiting();
    //显示当前页面
    plus.webview.show(mui.currentWebview, 'fade-in', 600);
    //},500)
})

// function showGitCodeForm(){    
//     gitCodeFormMask.show();//显示遮罩
//     mui('#gitCodeForm')[0].style.display = "block";
// }
// function hideGitCodeForm(){    
//     gitCodeFormMask.close();
//     mui('#gitCodeForm')[0].style.display = "none";
// }
// 
// function showUserCodePanel(){    
//     userCodePanelMask.show();//显示遮罩
//     mui('#userCodePanel')[0].style.display = "block";
// }
// function hideUserCodePanel(){    
//     userCodePanelMask.close();
//     mui('#userCodePanel')[0].style.display = "none";
// }

function showService() {
    serviceMask.show(); //显示遮罩
    mui('#service')[0].style.display = "block";
}

function hideService() {
    serviceMask.close();
    mui('#service')[0].style.display = "none";
}

function showSetUserFaceForm() {
    setUserFaceFormMask.show(); //显示遮罩
    mui('#setUserFaceForm')[0].style.display = "block";
}

function hideSetUserFaceForm() {
    setUserFaceFormMask.close();
    mui('#setUserFaceForm')[0].style.display = "none";
}




function setUserFaceNickName(op) {
    console.log('setUserFaceNickName');
    mui.ajax(apiServerUrl + '/idleserver/idleApi/modifyHeadImgNickName.idle', {
        data: {
            accountId: userLastData['userInfo']['accountId'],
            authKey: userLastData['userInfo']['authKey'],
            headImg:op.headImg,
            nickName:op.nickName,
            versionIndex: versionIndex
        },
        dataType: 'json',
        type: 'POST',
        timeout: 10000,
        headers: {
            'content-type': 'application/x-www-form-urlencoded'
        },
        success: function(data) {
            //console.log(JSON.stringify(data))
            if (data['success']) {
                 //写cookie·
                userLastData['account'] = data['result'];
                plus.storage.setItem('userLastData', JSON.stringify(userLastData));
                //写同步
                app['account'] = data['result'];
                hideSetUserFaceForm();
                mui.alert('成功修改昵称和设置头像','提示');
            } else {
                ajaxErrorParse(data);
            }
        },
        error: function(xhr, type, errorThrown) {
            ajaxErrorTip(xhr, type, errorThrown);
        }
    });
}

function goGetDiamondrodPage() {
    mui.openWindow({
        url: '/html/getdiamondrod.html',
        id: '/html/getdiamondrod.html',
        styles: {
            titleNView: {
                titleText: "发现能量石",
                titleColor: "#000000",
                titleSize: "17px",
                backgroundColor: "#ffffff",
                splitLine: {
                    color: "#f7f8fc",
                    height: "1px"
                },
                autoBackButton: true,
            }
        },
        show: {
            autoShow: false
        }
    });
}
